# eoCombinedContinue< EOT > Class Template Reference

Combined continuators - logical AND: Continues until one of the embedded continuators says halt! More...

`#include <eoCombinedContinue.h>`

Inheritance diagram for eoCombinedContinue< EOT >:

List of all members.

## Public Types

typedef EOT::Fitness | FitnessType
| Define Fitness.

## Public Member Functions

| eoCombinedContinue (eoContinue< EOT > &_cont)
| Ctor, make sure that at least on continuator is present.
| eoCombinedContinue (eoContinue< EOT > &_cont1, eoContinue< EOT > &_cont2)
| Ctor - for historical reasons ... should disspear some day.
void | add (eoContinue< EOT > &_cont)
void | removeLast (void)
virtual bool | operator() (const eoPop< EOT > &_pop)
| Returns false when one of the embedded continuators say so (logical and).
virtual std::string | className (void) const

## Private Attributes

std::vector< eoContinue< EOT > * > | continuators

## Detailed Description

### template<class EOT>
class eoCombinedContinue< EOT >

Combined continuators - logical AND: Continues until one of the embedded continuators says halt!

20/11/00 MS: Changed the 2-continuator construct to a std::vector<eoContinue<EOT> > to be consistent with other Combined constructs and allow to easily handle more than 2 continuators

02/2003 Ramón Casero Cañas - added the removeLast() method

Definition at line 42 of file eoCombinedContinue.h.

The documentation for this class was generated from the following file:

- eoCombinedContinue.h